Subject: bug#12410: 24.2.50; `make distclean' runs ./configure before cleaning

From: Glenn Morris <[email-masked]>
Date: Tue, 11 Sep 2012 13:24:36 -0400

Bastien wrote:

> I just ran `make distclean' with latest bzr revision and noticed
> it runs ./configure before cleaning up the dist files.
>
> Is it necessary?

It can be, yes. IIUC:

Makefile itself has dependencies on eg the various Makefile.in's.
If these get updated in the repository, configure has to be run to
regenerate the Makefiles before doing anything else. For example,
suppose there was a bug in Makefile.in whereby distclean did `rm -rf /'.
If a fix was checked in, you'd want Makefile to be regenerated before
doing anything else...